<?php
$title = 'Оплата WebMoney';
require ($_SERVER['DOCUMENT_ROOT'].'/core/sys.php');
require ($_SERVER['DOCUMENT_ROOT'].'/core/head.php');
echo '<div class="top">'.$title.'</div>';
$id = abs(intval($_POST['pay']));
$_SESSION['webmoney'] = $id;
$summa = abs($_POST['MNM_PRICE']);
$time = abs(intval($_POST['MNM_TIME_PAY']));
$pay = $db->prepare('SELECT * FROM `pay` WHERE `id` = ?');
$pay -> execute([$id]);
$pay = $pay -> fetch(PDO :: FETCH_ASSOC);
if(!isset($pay['id'])){
echo '<div id="error" class="message" style="text-align:center;"><b> Для дальнейшей работы вам стоит пройти авторизацию в данном сервисе, если хотите оплатить с личного счета.. </b></div>';
require ($_SERVER['DOCUMENT_ROOT'].'/core/foot.php');
exit;
}
if($pay['status'] == 'yes'){
echo '<div id="error" class="message" style="text-align:center;"><b> Данный счет уже был оплачен... </b></div>';
require ($_SERVER['DOCUMENT_ROOT'].'/core/foot.php');
exit;
}
if(!is_numeric($summa)){
header('Location: /');
exit;
}
if($pay['type'] == 0){
header('Location: /');
exit;
}
$client = $db->prepare('SELECT * FROM `platform` WHERE `id` = ?');
$client -> execute([$pay['platform']]);
$client = $client -> fetch(PDO :: FETCH_ASSOC);
if(!isset($client['id'])){
header('Location: /');
exit;
}
$hash = md5($client['key']);
if($hash != $pay['hash']){
header('Location: '.$client['error']);
exit;
}
if($pay['check'] != md5($summa.$pay['platform'].
$time)){
header('Location: '.$client['error']); 
exit;
} 

if($pay['status'] == 'yes'){
exit(header('location :'.$client['result']));
}
if (!empty($_POST['pay'])) {
$amount = $pay['summa']+$pay['summa']*0.05;
/*WebMoney*/
$wmr = 'R099373335221'; //Кошелек
echo '
<div class="box">
<form id=pay name=pay method="POST" action="https://merchant.webmoney.ru/lmi/payment.asp"> 
<input name="summa" type="hidden" value="'.$cena.'"/>
<input name="idd" type="hidden" value="'.$pay['id'].'"/>
<input type="hidden" name="LMI_PAYMENT_AMOUNT" value="'.$amount.'">
<input type="hidden" name="LMI_PAYMENT_DESC_BASE64" value="'.base64_encode(base64_decode($pay['com'])).'">
<input type="hidden" name="LMI_PAYMENT_NO" value="'.($pay['id'] + 1).'">
<input type="hidden" name="LMI_PAYEE_PURSE" value="'.$wmr.'">
<p>
 <input type="submit" value="Оплата">
 </p> 
</form> </div>';
}else{
echo '<div id="error" class="message" style="text-align:center;"><b> Произошла ошибка ... Попробуйте еще раз повторить данное действие </b></div>';
}

require ($_SERVER['DOCUMENT_ROOT'].'/core/foot.php');
?>